package ovrstat

import "testing"

func TestOvrStatApi_Fetch(t *testing.T) {
	api := New("https://ow-api.com")

	res, err := api.FetchHeroStats("pc", "us", "cats#11481", []string{"allHeroes"})

	if err != nil {
		t.Error(err)
	}

	t.Logf("%v", res.QuickPlayStats.CareerStats.AllHeroes.Assists.HealingDone)
}